Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.multipart
Class PellMultiPartRequest

    java.lang.Object
      org.apache.struts2.dispatcher.multipart.PellMultiPartRequest

All Implemented Interfaces:
  MultiPartRequest

    public class PellMultiPartRequest

extends Object
implements MultiPartRequest

Multipart form data request adapter for Jason Pell's multipart utils package.

Constructor Summary
`PellMultiPartRequest()`

Method Summary
`void` | `cleanUp()`
`String[]` | `getContentType(String fieldName)`
`List<String>` | `getErrors()`
`File[]` | `getFile(String fieldName)`
`String[]` | `getFileNames(String fieldName)`
`Enumeration` | `getFileParameterNames()`
`String[]` | `getFilesystemName(String fieldName)`
`String` | `getParameter(String name)`
`Enumeration<String>` | `getParameterNames()`
`String[]` | `getParameterValues(String name)`
`void` | `parse(javax.servlet.http.HttpServletRequest servletRequest, String saveDir)` Creates a new request wrapper to handle multi-part data using methods adapted from Jason Pell's multipart classes (see class description).
`void` | `setDefaultEncoding(String enc)`
`void` | `setMaxSize(String maxSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PellMultiPartRequest

    public PellMultiPartRequest()

Method Detail

### setDefaultEncoding

    public void setDefaultEncoding(String enc)

### setMaxSize

    public void setMaxSize(String maxSize)

### parse

    public void parse(javax.servlet.http.HttpServletRequest servletRequest,
                      String saveDir)
               throws IOException

  Creates a new request wrapper to handle multi-part data using methods adapted from Jason Pell's multipart classes (see class description).

  Specified by:
    `parse` in interface `MultiPartRequest`
  Parameters:
    `saveDir` - the directory to save off the file
    `servletRequest` - the request containing the multipart
  Throws:
    `IOException`

### getFileParameterNames

    public Enumeration getFileParameterNames()

  Specified by:
    `getFileParameterNames` in interface `MultiPartRequest`

### getContentType

    public String[] getContentType(String fieldName)

  Specified by:
    `getContentType` in interface `MultiPartRequest`

### getFile

    public File[] getFile(String fieldName)

  Specified by:
    `getFile` in interface `MultiPartRequest`

### getFileNames

    public String[] getFileNames(String fieldName)

  Specified by:
    `getFileNames` in interface `MultiPartRequest`

### getFilesystemName

    public String[] getFilesystemName(String fieldName)

  Specified by:
    `getFilesystemName` in interface `MultiPartRequest`

### getParameter

    public String getParameter(String name)

  Specified by:
    `getParameter` in interface `MultiPartRequest`

### getParameterNames

    public Enumeration<String> getParameterNames()

  Specified by:
    `getParameterNames` in interface `MultiPartRequest`

### getParameterValues

    public String[] getParameterValues(String name)

  Specified by:
    `getParameterValues` in interface `MultiPartRequest`

### getErrors

    public List<String> getErrors()

  Specified by:
    `getErrors` in interface `MultiPartRequest`

### cleanUp

    public void cleanUp()

  Specified by:
    `cleanUp` in interface `MultiPartRequest`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.